> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Member Batch



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/members/batch-remove
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/members/batch-remove:
    post:
      tags:
        - Member Batch
      summary: Delete Member Batch
      operationId: MemberBatchController_remove_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d{0,18}$
        - name: dryRun
          required: false
          in: query
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MemberBatchRemoveDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MemberBatchRemoveResponseDto'
components:
  schemas:
    MemberBatchRemoveDto:
      type: object
      properties:
        userIds:
          minItems: 1
          maxItems: 100
          type: array
          items:
            type: string
            pattern: ^[1-9]\d{0,18}$
      required:
        - userIds
      additionalProperties: false
    MemberBatchRemoveResponseDto:
      type: object
      properties:
        dryRun:
          type: boolean
        results:
          type: array
          items:
            $ref: '#/components/schemas/MemberBatchRemoveResultDto'
        counts:
          $ref: '#/components/schemas/MemberBatchCountsDto'
        seatsFreed:
          type: array
          items:
            $ref: '#/components/schemas/MemberBatchRemovedSeatsDto'
        projectCount:
          type: number
        publicationFailed:
          type: boolean
      required:
        - dryRun
        - results
        - counts
        - seatsFreed
        - projectCount
        - publicationFailed
    MemberBatchRemoveResultDto:
      type: object
      properties:
        userId:
          type: string
        status:
          type: string
          enum:
            - applied
            - skipped
            - failed
        code:
          type: string
        projectCount:
          type: number
        seats:
          type: array
          items:
            $ref: '#/components/schemas/MemberBatchRemovedSeatsDto'
      required:
        - userId
        - status
        - projectCount
        - seats
    MemberBatchCountsDto:
      type: object
      properties:
        applied:
          type: number
        skipped:
          type: number
        failed:
          type: number
      required:
        - applied
        - skipped
        - failed
    MemberBatchRemovedSeatsDto:
      type: object
      properties:
        licenseId:
          type: string
        packageKey:
          type: string
        packageName:
          type: string
        seats:
          type: number
      required:
        - licenseId
        - packageKey
        - packageName
        - seats

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.